Xenstore: ゲストは孤立した Xenstore ノードを作成できます (XSA-415)

medium Nessus プラグイン ID 168022

概要

リモートの Xen ハイパーバイザーのインストールにセキュリティ更新プログラムがありません。

説明

エラーを引き起こすトランザクション内に複数のノードを作成することで、悪意のあるゲストが Xenstore データベースに孤立したノードを作成する可能性があります。これは、エラー後のクリーンアップでは、すでに作成されたすべてのノードが削除されないためです。この状況の後にトランザクションがコミットされると、有効な親のないノードがデータベースで永続的になる可能性があります。悪意のあるゲストが xenstored データベースで不整合を引き起こし、xenstored で異常なエラー応答またはメモリリークを引き起こす可能性があります。これにより、最終的にサービス拒否状態が発生したり、xenstored の長時間のエラーリカバリが発生したりする可能性があります。

Nessus はこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

ベンダーのアドバイザリにしたがって適切なパッチを適用してください。

関連情報

https://xenbits.xenproject.org/xsa/advisory-415.txt

プラグインの詳細

深刻度: Medium

ID: 168022

ファイル名: xen_server_XSA-415.nasl

バージョン: 1.2

タイプ: local

ファミリー: Misc.

公開日: 2022/11/21

更新日: 2022/11/22

構成: パラノイドモードの有効化

リスク情報

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: Medium

Base Score: 4.6

Temporal Score: 3.4

ベクトル: CVSS2#AV:L/AC:L/Au:S/C:N/I:N/A:C

現状ベクトル: CVSS2#E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-42310

CVSS v3

リスクファクター: Medium

Base Score: 5.5

Temporal Score: 4.8

ベクトル: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:2.3:o:xen:xen:*:*:*:*:*:*:*:*

必要な KB アイテム: Settings/ParanoidReport, installed_sw/Xen Hypervisor

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/11/1

脆弱性公開日: 2022/11/1

参照情報

CVE: CVE-2022-42310

IAVB: 2022-B-0048